Index: INCP.H
===================================================================
--- INCP.H	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ INCP.H	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,56 +1,52 @@
-! ......................
-! contents of a PDB file
-! ......................
-      integer MXCHP, MXRSP, MXATP, nchp, nchrsp, nrsp, irsatp, nrsatp
-      integer natp, noatp
-      
-      double precision xatp, yatp, zatp
+c ......................
+c contents of a PDB file
+c ......................
 
       parameter (MXCHP =100,    ! max. no. of polypeptide chains
-     &           MXRSP =1000,   ! max. no. of residues
-     &           MXATP =10000)  ! max. no. of atoms
+     #           MXRSP =1000,   ! max. no. of residues
+     #           MXATP =10000)  ! max. no. of atoms
 
-!   nchp      - no. of polypeptide chains
-!   nchrsp()  - no. of residues / chain
-!   nrsp      - total no. of residues
-!   irsatp()  - index of 1st atom / res.
-!   nrsatp()  - no. of atoms / res.
-!   natp      - total no. of selected atoms
-!   noatp()   - atom numbers
+c   nchp      - no. of polypeptide chains
+c   nchrsp()  - no. of residues / chain
+c   nrsp      - total no. of residues
+c   irsatp()  - index of 1st atom / res.
+c   nrsatp()  - no. of atoms / res.
+c   natp      - total no. of selected atoms
+c   noatp()   - atom numbers
 
       common /pdb_i/ nchp,nchrsp(MXCHP),
-     &               nrsp,irsatp(MXRSP),nrsatp(MXRSP),
-     &               natp,noatp(MXATP)
+     #               nrsp,irsatp(MXRSP),nrsatp(MXRSP),
+     #               natp,noatp(MXATP)
       save /pdb_i/
 
-!   chnp()  - chain identifiers
-!   rsidp() - residue identifiers (number + insertion code)
-!   rsnmp() - residues (sequence, 3-letter code)
-!   atnmp() - atom names
+c   chnp()  - chain identifiers
+c   rsidp() - residue identifiers (number + insertion code)
+c   rsnmp() - residues (sequence, 3-letter code)
+c   atnmp() - atom names
 
       character chnp(MXCHP),
-     &          rsidp(MXRSP)*5,rsnmp(MXRSP)*3,
-     &          atnmp(MXATP)*4
+     #          rsidp(MXRSP)*5,rsnmp(MXRSP)*3,
+     #          atnmp(MXATP)*4
 
       common /pdb_c/ chnp,rsnmp,rsidp,atnmp
       save /pdb_c/
 
-!     xatp,yatp,zatp - atom coordinates
+c     xatp,yatp,zatp - atom coordinates
 
       common /pdb_r/ xatp(MXATP),yatp(MXATP),zatp(MXATP)
       save /pdb_r/
 
-! ------------------- code to list all PDB information
-!      ir=0
-!      do i=1,nchp
-!        write (logString, *) ' ===== chain |',chnp(i),'|'
-!        do j=1,nchrsp(i)
-!          ir=ir+1
-!          write (logString, *) ' ----- ',rsidp(ir),' ',rsnmp(ir),' ',nrsatp(ir)
-!          k1=irsatp(ir)
-!          k2=k1+nrsatp(ir)-1
-!          do k=k1,k2
-!            write (logString, *) ' ',noatp(k),' ',atnmp(k),' ',(xyzp(l,k),l=1,3)
-!          enddo
-!        enddo
-!      enddo
+c ------------------- code to list all PDB information
+c      ir=0
+c      do i=1,nchp
+c        write(*,*) ' ===== chain |',chnp(i),'|'
+c        do j=1,nchrsp(i)
+c          ir=ir+1
+c          write(*,*) ' ----- ',rsidp(ir),' ',rsnmp(ir),' ',nrsatp(ir)
+c          k1=irsatp(ir)
+c          k2=k1+nrsatp(ir)-1
+c          do k=k1,k2
+c            write(*,*) ' ',noatp(k),' ',atnmp(k),' ',(xyzp(l,k),l=1,3)
+c          enddo
+c        enddo
+c      enddo
Index: Makefile
===================================================================
--- Makefile	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ Makefile	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -4,7 +4,4 @@
 
 %_p.o : %_p.f
-	$(MPIF90) $(F_FLAGS) $<
-	
-%_p.o : %_p.F
 	$(MPIF90) $(F_FLAGS) $<
 	
@@ -17,9 +14,6 @@
 	$(F90) $(F_FLAGS) $<
 
-.SUFFIXES:	.o .F90
-.F90.o:
-	$(F90) $(F_FLAGS) $<
 # ==================================== Variables for compiling and linking
-L_FLAGS=-g
+# L_FLAGS=-g
 # Linker flags
 # Default flags, e.g., for gfortran, g77
@@ -27,8 +21,8 @@
 
 # Flags for Intel's ifort
-#L_FLAGS=-O3 -axT -g
-#L_FLAGS=-fast -parallel
+# L_FLAGS=-O3 -axW -g
+
 # FLAGS for Cray
-# L_FLAGS=-fast -Mipa
+# L_FLAGS=-fastsse -Mipa
 
 # Flags for xlf
@@ -42,10 +36,9 @@
 F_FLAGS=-c -O2 -g
 # Flags for Intel's ifort
-#F_FLAGS=-c -O3 -axT -g
-#F_FLAGS=-c -fast -parallel
+# F_FLAGS=-c -O3 -axW -g
 # Flags for debugging build
 # F_FLAGS=-c -O0 -g
 # FLAGS for Cray
-#F_FLAGS=-c -fast -Mipa -Minfo
+# F_FLAGS=-c -fastsse -Mipa
 # Flags for xlf
 #F_FLAGS=-c -O3 -qhot -q64 -qipa -qextname=flush
@@ -55,8 +48,8 @@
 
 # Select your compiler
+F90=gfortran
 #F90=ifort
 #F90=pgf90
 #F90=xlf
-F90=gfortran
 MPIF90=mpif90
 
@@ -72,5 +65,5 @@
 init_energy.o init_molecule.o gradient.o energy.o \
 regul.o nursvr.o twister.o eninteract.o bgs.o eyabgn.o enylun.o utilities.o\
-partem_s.o esolan.o opesol.o init_lund.o enyshe_simple.o timer.o
+partem_s.o esolan.o opesol.o
 #_________Serial implementation of ECEPP/3 and solvent
 SOBJ=enyshe.o enysol.o
@@ -84,15 +77,13 @@
 pdbread.f  rmsdfun.f opereg.f mincjg.f cnteny.f  init_energy.f init_molecule.f \
 gradient.f regul.f nursvr.f twister.f eninteract.f bgs.f eyabgn.f enylun.f \
-mulcan_par_mod.f90 esolan.f opesol.f init_lund.f90
+mulcan_par_mod.f90 esolan.f opesol.f
 # partem_s.f
 
 
-pyInterface=init_molecule init_energy \
+pyInterface=init_molecule init_energy mulcan_par mulcan_sim \
 init_lund sgrnd energy helix zimmer rgyr rmsdfun \
-anneal  outpdb  minim  regul contacts interhbond hbond setvar\
-enysol 
-#canon mulcan_par mulcan_sim metropolis
+anneal canon  outpdb  minim  regul contacts interhbond hbond
+# metropolis
 # ============================================== Linking
-all: $(PROG)
 
 $(PROG):	$(OBJ) $(SOBJ) main.o
@@ -103,5 +94,5 @@
 	$(MPIF90) -o $(PROG) $(L_FLAGS) main_p.o $(OBJ) $(POBJ)
 
-# Cross compile for BlueGene/L 
+# Cross compile for BlueGene/P 
 bgl: BGL_L_FLAGS = -L$(BGLSYS)/lib -lmpich.rts -lfmpich.rts -lmsglayer.rts -lrts.rts -ldevices.rts -qextname=flush
 bgl: F_FLAGS = -c -O5 -qhot -g -I$(BGLSYS)/include -L$(BGLSYS)/lib -qarch=440 -qtune=440 -qextname=flush
@@ -115,42 +106,14 @@
 	$(BGL_F90) -o $(PROG).rts $(BGL_L_FLAGS) main_bgl_p.o $(OBJ) $(POBJ) $(LIBSF_MPI)
 
-# Cross compile for BlueGene/P 
-bgp: BGP_SYS = /bgsys/drivers/ppcfloor/comm
-bgp: DIRCOMP = /opt/ibmcmp/xlf/bg/11.1/bin
-bgp: BGP_L_FLAGS = -O3 -qhot -g -I$(BGP_SYS)/include -qarch=440 -qtune=440 -qextname=flush
-bgp: F_FLAGS = -c -O3 -qhot -g -I$(BGP_SYS)/include -qarch=440 -qtune=440 -qextname=flush
-bgp: BGP_F90 = bgxlf
-bgp: F90 = $(BGP_F90)
-bgp: MPIF90 = $(BGP_F90)
-bgp: LIBS=-Wl,-allow-multiple-definition $(MASS) $(ESSL) -L$(BGP_SYS)/lib -lmpich.cnk -ldcmfcoll.cnk -ldcmf.cnk -L/bgsys/drivers/ppcfloor/runtime/SPI -lSPI.cna -lrt -lpthread
-
-bgp: $(OBJ) $(POBJ) main_p.o
-	$(BGP_F90) -o $(PROG).rts $(BGP_L_FLAGS) main_p.o $(OBJ) $(POBJ) $(LIBS)
-
 # Build the python bindings
-# 
-# The following line creates a minimal interface
-#
-# f2py --overwrite-signature -h basic_smmp.pyf -m smmp init_molecule.f init_energy.f energy.f utilities.f
-#
-# The following line includes the minimum set of files needed to fullfill all dependencies.
-#
-# f2py -c -m smmp_p basic_smmp.pyf init_molecule.f init_energy.f bldmol.f nursvr.f pdbread.f redvar.f redseq.f outvar.f redstr.f enysol.f setmvs.f mklist.f getmol.f helix.f contacts.f dihedr.f setvar.f init_lund.f90 rmsdfun.f addend.f difang.f
 pybind: $(FILES)
 	#./rmexclpoint.py $(FILES)
-	f2py -c -m smmp smmp.pyf $(FILES) --fcompiler=gnu95
+	f2py -c -m smmp smmp.pyf $(FILES) --f90exec=$(F90) --f77exec=$(F90)
 	#./restoreexclpoint.py $(FILES)
-
-# Compile bindings that include enyshe_p
-ppybind: basic_smmp.pyf init_molecule.f init_energy.f bldmol.f nursvr.f pdbread.f redvar.f redseq.f outvar.f redstr.f enysol.f setmvs.f mklist.f getmol.f helix.f contacts.f dihedr.f setvar.f init_lund.f90 rmsdfun.f addend.f difang.f energy.f enyshe_p.f enyflx.f enylun.f eninteract.f enyreg.f eyabgn.f esolan.f gradient.f twister.f opesol.f opeflx.f opereg.f opeshe.f utilities.f
-	f2py -c -m smmp_p basic_smmp.pyf init_molecule.f init_energy.f bldmol.f nursvr.f pdbread.f redvar.f redseq.f outvar.f redstr.f enysol_p.f setmvs.f mklist.f getmol.f helix.f contacts.f dihedr.f setvar.f init_lund.f90 rmsdfun.f addend.f difang.f energy.f enyshe_p.f enyflx.f enylun.f eninteract.f enyreg.f eyabgn.f esolan.f gradient.f twister.f opesol.f opeflx.f opereg.f opeshe.f utilities.f -I/usr/lib/mpi/gcc/openmpi/include -I/usr/lib/mpi/gcc/openmpi/lib -L/usr/lib/mpi/gcc/openmpi/lib -lmpi_f90 -lmpi_f77 -lmpi -lopen-rte -lopen-pal -ldl  -lutil -lm -ldl
-
-newbasicpybind: init_molecule.f init_energy.f energy.f utilities.f
-	f2py --overwrite-signature -h basic_smmp.pyf -m smmp_p init_molecule.f init_energy.f energy.f utilities.f
 
 newpybind: $(FILES)
 	./rmexclpoint.py $(FILES)
-#	mv smmp.pyf smmp.pyf.bak
-	f2py -h min_smmp.pyf -m smmp only: ${pyInterface} : $(FILES)
+	mv smmp.pyf smmp.pyf.bak
+	f2py -h smmp.pyf -m smmp only: ${pyInterface} : $(FILES)
 	./restoreexclpoint.py $(FILES)
 
Index: SMMP.kdevelop
===================================================================
--- SMMP.kdevelop	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ SMMP.kdevelop	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -132,5 +132,5 @@
       <filetype>*.h</filetype>
       <filetype>*.H</filetype>
-      <filetype>*.f90</filetype>
+      <filetype>*.hh</filetype>
       <filetype>*.hxx</filetype>
       <filetype>*.hpp</filetype>
@@ -143,6 +143,4 @@
       <filetype>Makefile</filetype>
       <filetype>CMakeLists.txt</filetype>
-      <filetype>*.py</filetype>
-      <filetype>*.f</filetype>
     </filetypes>
     <blacklist/>
Index: addend.f
===================================================================
--- addend.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ addend.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,24 +1,24 @@
-! **************************************************************
-!
-!
-! This file contains the subroutines:  addend, redchg, rplgrp
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! $Id: addend.f 334 2007-08-07 09:23:59Z meinke $
-! **************************************************************
+c **************************************************************
+c
+c
+c This file contains the subroutines:  addend, redchg, rplgrp
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c $Id: addend.f 334 2007-08-07 09:23:59Z meinke $
+c **************************************************************
       subroutine addend(nml,grpn,grpc)
 
-! ..............................................................
-!  PURPOSE:  modify terminal residues to complete bonding scheme
-!            with residue 'grpn' at N- and residue 'grpc' at C-terminus
-!            ! need initial co-ordinates for residues to modify
-!            ! for N-terminus: may add only simple groups
-!
-!  CALLS:  rplgrp,tolost,redchg
-! ..............................................................
+c ..............................................................
+c  PURPOSE:  modify terminal residues to complete bonding scheme
+c            with residue 'grpn' at N- and residue 'grpc' at C-terminus
+c            ! need initial co-ordinates for residues to modify
+c            ! for N-terminus: may add only simple groups
+c
+c  CALLS:  rplgrp,tolost,redchg
+c ..............................................................
  
       include 'INCL.H'
@@ -28,9 +28,4 @@
       character res*4,rpat*4,sbrs*4,grn*4,grc*4
 
-      integer nml
-      
-      integer i, ifirs, ilars
-      
-      double precision cg
 
       grn = grpn
@@ -40,14 +35,13 @@
 
       if (grn(:3).eq.'ace'.or.grc(:3).eq.'ace'
-     &.or.grn(:3).eq.'nme'.or.grc(:3).eq.'nme') then
-
-        write (logString, '(2a)') 
-     &   ' addend> N-Acetyl (ace) or N-Methylamide (nme)',
-     &   ' should be put in SEQUENCE file, not added as end groups'
+     #.or.grn(:3).eq.'nme'.or.grc(:3).eq.'nme') then
+
+        write(*,'(2a)') ' addend> N-Acetyl (ace) or N-Methylamide (nme)'
+     #   ,' should be put in SEQUENCE file, not added as end groups'
 
         stop
       endif
 
-! __________________________________________ N-terminus
+c __________________________________________ N-terminus
       ifirs=irsml1(nml)
       rpat='n   '
@@ -60,6 +54,6 @@
               sbrs='nh2+'
             else
-              write (logString, '(2a)') ' addend> ',
-     &         ' No N-terminal Hyp possible with ECEPP/3 dataset'
+              write (*,'(2a)') ' addend> ',
+     #         ' No N-terminal Hyp possible with ECEPP/3 dataset'
               stop
             endif
@@ -88,6 +82,6 @@
         else
 
-          write (logString, '(2a)') ' addend> Can add only ',
-     &     'nh2 or nh3+ to N-terminus'
+          write(*,'(2a)') ' addend> Can add only ',
+     *     'nh2 or nh3+ to N-terminus'
           stop
 
@@ -99,9 +93,9 @@
       else ! ace
 
-        write (logString, '(2a)') ' addend> Acetyl group',
-     &     ' at N-terminus not modified'
-      endif
-
-! __________________________________________ C-terminus
+        write(*,'(2a)') ' addend> Acetyl group',
+     #     ' at N-terminus not modified'
+      endif
+
+c __________________________________________ C-terminus
       ilars=irsml2(nml)
       rpat='c   '
@@ -129,6 +123,6 @@
         else
 
-          write (logString, '(2a)') ' addend> Can add only ',
-     &     'cooh or coo- to C-terminus'
+          write(*,'(2a)') ' addend> Can add only ',
+     #     'cooh or coo- to C-terminus'
           stop
 
@@ -140,37 +134,35 @@
       else  ! N'-methylamide
 
-        write (logString, '(2a)') ' addend> N-Methylamide',
-     &     ' at C-terminus not modified'
-
-      endif
-
-! ----------------------------- net charge of molecule
+        write(*,'(2a)') ' addend> N-Methylamide',
+     #     ' at C-terminus not modified'
+
+      endif
+
+c ----------------------------- net charge of molecule
       cg = 0.d0
       do i=iatrs1(irsml1(nml)),iatrs2(irsml2(nml))
         cg = cg + cgat(i)
       enddo
-      if (abs(cg).gt.1.d-5) then
-         write (logString, '(a,i2,a,f7.3)') 
-     &      ' addend> Net charge of molecule #'
-     &        ,nml,': ',cg
-      endif
+      if (abs(cg).gt.1.d-5) write(*,'(a,i2,a,f7.3,/)')
+     #        ' addend> Net charge of molecule #'
+     #        ,nml,': ',cg
 
       return
       end
-! ****************************************
+c ****************************************
       subroutine rplgrp(nml,nrs,rpat,sbrs)
 
-! ...............................................................
-! PURPOSE: replace atom(s) rooted at atom 'rpat' in residue
-!          'nrs' of molecule 'nml' by atom(s) rooted at 
-!          'rpat' of residue 'sbrs' (same name of root
-!          atom 'rpat' maintains bonding geometry for
-!          preceeding atoms in 'nrs')
-!
-!          is NOT performed if 'rpat' is within mainchain,
-!          except it is first/last mainchain atom of 'nml'
-!
-! CALLS: dihedr,iopfil,iendst,eyring,fndbrn,redres,setsys,valang
-! ...............................................................
+c ...............................................................
+c PURPOSE: replace atom(s) rooted at atom 'rpat' in residue
+c          'nrs' of molecule 'nml' by atom(s) rooted at 
+c          'rpat' of residue 'sbrs' (same name of root
+c          atom 'rpat' maintains bonding geometry for
+c          preceeding atoms in 'nrs')
+c
+c          is NOT performed if 'rpat' is within mainchain,
+c          except it is first/last mainchain atom of 'nml'
+c
+c CALLS: dihedr,iopfil,iendst,eyring,fndbrn,redres,setsys,valang
+c ...............................................................
 
       include 'INCL.H'
@@ -178,20 +170,8 @@
       character rpat*4,sbrs*4
       logical ntbb,bb
-      integer nml, nrs, ibd, iybd
 
       dimension ibd(mxbd+1),iybd(mxbd+1)
-      
-      integer iopfil, iendst
-      
-      double precision valang, dihedr
-
-      integer ish, i, i1, irng1, irng2, ilavr, ilaat, i2, i3, ibdrg,
-     &        ib, iat, ifirs, ifivr, ii, iow, isgbb1, ity, nfi, ilars,
-     &        ivrrp, ivrsb, jsh, j, iybdrg, k, lvrrp, nb, natsb, nla, 
-     &        nfirp, nxt, nsb, nlarp, nfisb, nlasb, nrp, nsh,
-     &        nvrsb, nxtbb1, nxtbb2, nxtsb
-      double precision ba, ca, ct, dx, dz, h3, h2, sa, st,to, x1, x2,
-     &        x3, y1, y2, y3, z1, z2, z3
-      
+
+
       ifirs=irsml1(nml)
       ilars=irsml2(nml)
@@ -200,5 +180,5 @@
       nfi=iatrs1(nrs)
       nla=iatrs2(nrs)
-! __________________________ indices of atoms to be replaced
+c __________________________ indices of atoms to be replaced
       do i=nfi,nla
         if (rpat.eq.nmat(i)) then
@@ -207,7 +187,6 @@
         endif
       enddo
-      write (logString, '(4a,i4,a,i4)') ' rplgrp> cannot find atom >',
-     &   rpat,
-     &   '< to be replaced in residue ',seq(nrs),nrs,' of molecule ',nml
+      write (*,'(4a,i4,a,i4)') ' rplgrp> cannot find atom >',rpat,
+     #'< to be replaced in residue ',seq(nrs),nrs,' of molecule ',nml
       stop
 
@@ -238,7 +217,7 @@
             if (iowat(ibd(i)).ne.nfirp) then
               if (ibdrg.ne.0) then
-                write (logString, '(2a,i3)') 
-     &             ' rplgrp> Can handle only simple ring at 1st',
-     &             ' atom of molecule #',nml
+                write (*,'(2a,i3)') 
+     #             ' rplgrp> Can handle only simple ring at 1st',
+     #             ' atom of molecule #',nml
                 stop
               endif
@@ -265,26 +244,26 @@
           goto 11
         else
-          write (logString, '(4a,i4,a,i4)') 
-     &      ' rplgrp> Cannot replace BACKBONE atom ',rpat,
-     &      ' of residue ',seq(nrs),nrs,' in molecule #',nml
+          write (*,'(4a,i4,a,i4)') 
+     #      ' rplgrp> Cannot replace BACKBONE atom ',rpat,
+     #      ' of residue ',seq(nrs),nrs,' in molecule #',nml
           stop
         endif
 
       endif  ! N-terminus
-! _________________________________ previous atoms
+c _________________________________ previous atoms
     2 if (nfirp.eq.nfi.and.nrs.eq.ifirs) goto 11
       nxtbb1=iowat(nfirp)
       if (nxtbb1.eq.nfi.and.nrs.eq.ifirs) goto 11
       nxtbb2=iowat(nxtbb1)
-! _______________________________ get data for substituent atoms
+c _______________________________ get data for substituent atoms
     3 if (iopfil(lunlib,reslib,'old','formatted').le.izero) then
-        write (logString, '(a,/,a,i3,2a)') 
-     &    ' rplgrp> ERROR opening library of residues:',
-     &    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
+        write (*,'(a,/,a,i3,2a)') 
+     #    ' rplgrp> ERROR opening library of residues:',
+     #    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
         stop
       endif
       call redres(sbrs,natsb,nxtsb,nvrsb)
       close (lunlib)
-! __________________________ indices of substituent atoms
+c __________________________ indices of substituent atoms
       do i=1,natsb
         if (rpat.eq.nmath(i)) then
@@ -293,6 +272,6 @@
         endif
       enddo
-      write (logString, '(4a)') ' rplgrp> Cannot find atom >',rpat,
-     &'< in substituent residue ',sbrs
+      write (*,'(4a)') ' rplgrp> Cannot find atom >',rpat,
+     #'< in substituent residue ',sbrs
       stop
 
@@ -309,5 +288,5 @@
         enddo  ! ... branch atoms
     5 enddo  ! ... branches
-! _________________________________________________ local axes at 'nfirp'
+c _________________________________________________ local axes at 'nfirp'
       call setsys(nxtbb1,nfirp,nxtbb2,x1,x2,x3,y1,y2,y3,z1,z2,z3)
 
@@ -319,5 +298,5 @@
       zbaat(nfirp)=z3
 
-! _____________________ add virtual atoms
+c _____________________ add virtual atoms
       if (ntbb) then
 
@@ -327,5 +306,5 @@
         sa=snbaat(nxtbb1)
 
-! ------------------- Eyring
+c ------------------- Eyring
         h2=-sa*ct
         h3=-sa*st
@@ -352,5 +331,5 @@
         st=sntoat(nxtbb1)
 
-! -------------------- Eyring with b.angle = 90 deg.
+c -------------------- Eyring with b.angle = 90 deg.
         xat(-ione)=xat(izero)-ct*(z2*x3-z3*x2)-st*z1
         yat(-ione)=yat(izero)-ct*(z3*x1-z1*x3)-st*z2
@@ -358,5 +337,5 @@
 
       endif
-! _____________________________________________ Shift atom data
+c _____________________________________________ Shift atom data
       nrp=nlarp-nfirp
       nsb=nlasb-nfisb
@@ -376,6 +355,5 @@
         else  ! more atoms
           if ((ilaat+nsh).gt.mxat) then
-            write (logString, '(a,i5)') ' rplgrp> number of atoms > ',
-     &         mxat
+            write (*,'(a,i5)') ' rplgrp> number of atoms > ',mxat
             stop
           endif
@@ -429,5 +407,5 @@
 
         enddo
-! ____________________________________________ Shift residue data
+c ____________________________________________ Shift residue data
         do i=nrs+1,irsml2(ntlml)
           iatrs1(i)=iatrs1(i)+nsh
@@ -440,5 +418,5 @@
         nsh=0
       endif
-! _________________________________________ Correct data of 'nfirp'
+c _________________________________________ Correct data of 'nfirp'
       ish=nfirp-nfisb
       ityat(nfirp)=ityath(nfisb)
@@ -471,9 +449,9 @@
           nb=nb+1
           if (nb.gt.mxbd) then
-            write (logString, '(6a,/,2a,3(i4,a))')
-     &      ' rplgrp> Cannot add atoms following ',rpat,
-     &      ' from group ',sbrs,' to atom ',rpat,
-     &      ' of residue ',seq(nrs),nrs,' in molecule #',nml,
-     &      ' because need >',(mxbd+1),' bonds'
+            write (*,'(6a,/,2a,3(i4,a))')
+     #      ' rplgrp> Cannot add atoms following ',rpat,
+     #      ' from group ',sbrs,' to atom ',rpat,
+     #      ' of residue ',seq(nrs),nrs,' in molecule #',nml,
+     #      ' because need >',(mxbd+1),' bonds'
             stop
           endif
@@ -496,5 +474,5 @@
       endif
       nbdat(nfirp)=nb
-! _________________________________________ Add data for substituent
+c _________________________________________ Add data for substituent
       ii=nfirp
       do i=nfisb+1,nlasb
@@ -549,6 +527,6 @@
 
       enddo  ! substituent atoms
-! ___________________________________________________ Take care of Variables
-! (assume variables of replaced group/substituent to be stored CONSECUTIVELY)
+c ___________________________________________________ Take care of Variables
+c (assume variables of replaced group/substituent to be stored CONSECUTIVELY)
 
       ilavr=ivrml1(ntlml)+nvrml(ntlml)-1
@@ -598,6 +576,5 @@
         else
           if ((ilavr+jsh).gt.mxvr) then
-            write (logString, '(a,i5)') 
-     &         ' rplgrp> number of variables > ',mxvr
+            write (*,'(a,i5)') ' rplgrp> number of variables > ',mxvr
             stop
           endif
@@ -633,37 +610,32 @@
 
       return
-! __________________________________________ Errors
-   10 write (logString, '(3a,/,2a,i4,a,i4,/,2a)') 
-     &   ' rplgrp> Cannot replace atom(s) following ',rpat,
-     &   ' from INSIDE a ring','    in residue: ',seq(nrs),nrs,
-     &   ' in molecule #',nml,' or in substitute: ',sbrs
+c __________________________________________ Errors
+   10 write (*,'(3a,/,2a,i4,a,i4,/,2a)') 
+     #   ' rplgrp> Cannot replace atom(s) following ',rpat,
+     #   ' from INSIDE a ring','    in residue: ',seq(nrs),nrs,
+     #   ' in molecule #',nml,' or in substitute: ',sbrs
       stop
-   11 write (logString, '(4a,i4,a,i4,/,a)') 
-     &   ' rplgrp> Cannot replace atom(s) following ',rpat,
-     &   ' of residue ',seq(nrs),nrs,' in molecule #',nml,
-     &   ' since necessary 2 previous atoms are not available' 
+   11 write (*,'(4a,i4,a,i4,/,a)') 
+     #   ' rplgrp> Cannot replace atom(s) following ',rpat,
+     #   ' of residue ',seq(nrs),nrs,' in molecule #',nml,
+     #   ' since necessary 2 previous atoms are not available' 
       stop
 
       end
-! ****************************************
+c ****************************************
       subroutine redchg(nml,nrs,rpat,sbrs)
 
-! .........................................................
-! PURPOSE: read and place atomic point charges from residue
-!          'sbrs' to residue 'nrs' of molecule 'nml'
-!          from library 'chglib' with LUN=lunchg, if ilib=1
-!                       'reslib' with LUN=lunlib, if ilib=2
-!
-! CALLS: iopfil,iendst,tolost
-! ........................................................
+c .........................................................
+c PURPOSE: read and place atomic point charges from residue
+c          'sbrs' to residue 'nrs' of molecule 'nml'
+c          from library 'chglib' with LUN=lunchg, if ilib=1
+c                       'reslib' with LUN=lunlib, if ilib=2
+c
+c CALLS: iopfil,iendst,tolost
+c ........................................................
 
       include 'INCL.H'
 
       character rpat*4,sbrs*4,atnm*4,res*4,cgty*5,line*100
-      integer nml, nrs
-
-      integer iopfil, iendst
-
-      integer ifirs, ilars, ifvr, ilib, i, l, j, nchg
 
       ifirs=irsml1(nml)
@@ -692,6 +664,5 @@
           endif
         else
-          write(logString,*)
-     &                  ' redchg> dont know which end goup is present'
+          write (*,*) ' redchg> dont know which end goup is present'
           stop
         endif
@@ -705,7 +676,7 @@
 
         if (iopfil(lunchg,chgfil,'old','formatted').le.izero) then
-          write (logString, '(a,/,a,i3,2a)') 
-     &      ' redchg> ERROR opening library of charges:',
-     &      ' LUN=',lunchg,' FILE=',chgfil(1:iendst(chgfil))
+          write (*,'(a,/,a,i3,2a)') 
+     #      ' redchg> ERROR opening library of charges:',
+     #      ' LUN=',lunchg,' FILE=',chgfil(1:iendst(chgfil))
           stop
         endif
@@ -729,15 +700,14 @@
                 endif
               enddo
-              write (logString, '(6a)') ' redchg> Cannot find atom: ',
-     &                        atnm,
-     &                        ' for entry: ',cgty,' in library: ',
-     &                        chgfil(1:iendst(chgfil))
+              write (*,'(6a)') ' redchg> Cannot find atom: ',atnm,
+     #                        ' for entry: ',cgty,' in library: ',
+     #                        chgfil(1:iendst(chgfil))
               stop
     2       enddo
             return
           else
-            write (logString, '(4a)')
-     &       ' redchg> must increase MXATH to read data for entry: ',
-     &        cgty,' in library: ',chgfil(1:iendst(chgfil))
+            write (*,'(4a)')
+     #       ' redchg> must increase MXATH to read data for entry: ',
+     #        cgty,' in library: ',chgfil(1:iendst(chgfil))
             close(lunchg)
             stop
@@ -745,7 +715,7 @@
         endif
         goto 1
-    3   write (logString, '(4a)')
-     &   ' redchg> Cannot find entry: ',cgty,' in library: ',
-     &      chgfil(1:iendst(chgfil))
+    3   write (*,'(4a)')
+     #   ' redchg> Cannot find entry: ',cgty,' in library: ',
+     #      chgfil(1:iendst(chgfil))
         close(lunchg)
         stop
@@ -754,7 +724,7 @@
 
         if (iopfil(lunlib,reslib,'old','formatted').le.izero) then
-          write (logString, '(a,/,a,i3,2a)') 
-     &      ' redchg> ERROR opening library of residues:',
-     &      ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
+          write (*,'(a,/,a,i3,2a)') 
+     #      ' redchg> ERROR opening library of residues:',
+     #      ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
           stop
         endif
@@ -777,15 +747,14 @@
                 endif
               enddo
-              write (logString, '(6a)') ' redchg> Cannot find atom: ',
-     &                        atnm,
-     &                        ' for entry: ',cgty,' in library: ',
-     &                        reslib(1:iendst(reslib))
+              write (*,'(6a)') ' redchg> Cannot find atom: ',atnm,
+     #                        ' for entry: ',cgty,' in library: ',
+     #                        reslib(1:iendst(reslib))
               stop
     5       enddo
             return
           else
-            write (logString, '(4a)')
-     &       ' redchg> must increase MXATH to read data for entry: ',
-     &        cgty,' in library: ',reslib(1:iendst(reslib))
+            write (*,'(4a)')
+     #       ' redchg> must increase MXATH to read data for entry: ',
+     #        cgty,' in library: ',reslib(1:iendst(reslib))
             close(lunchg)
             stop
@@ -793,7 +762,7 @@
         endif
         goto 4
-    6   write (logString, '(4a)')
-     &   ' redchg> Cannot find entry: ',cgty,' in library: ',
-     &      reslib(1:iendst(reslib))
+    6   write (*,'(4a)')
+     #   ' redchg> Cannot find entry: ',cgty,' in library: ',
+     #      reslib(1:iendst(reslib))
         close(lunchg)
         stop
@@ -801,7 +770,7 @@
       endif
 
-   10 write (logString, '(4a)')
-     &    ' redchg> Do not have charges for N/C-terminal residue ',
-     &    res,' modified with group :',sbrs
+   10 write (*,'(4a)')
+     #    ' redchg> Do not have charges for N/C-terminal residue ',
+     #    res,' modified with group :',sbrs
       stop
 
